Use gcc-4.2 and the 10.5 SDK by default in Gecko 1.9.3. Gecko 1.9.3 builds will no longer run on Mac OS X 10.4. b=501436 r=ted
authorJosh Aas <joshmoz@gmail.com>
Tue, 15 Sep 2009 13:02:12 -0400
changeset 32502 594dd7f280fa9efed616f759cd0b2f367c2f019f
parent 32501 4313fb6cb7a330c9699d2b0ca963e004aad0ba67
child 32503 21e5393f648c02e833000a80cf504b86f128dd4a
push idunknown
push userunknown
push dateunknown
reviewersted
bugs501436
milestone1.9.3a1pre
Use gcc-4.2 and the 10.5 SDK by default in Gecko 1.9.3. Gecko 1.9.3 builds will no longer run on Mac OS X 10.4. b=501436 r=ted
configure.in
--- a/configure.in
+++ b/configure.in
@@ -912,24 +912,17 @@ case "$target" in
 *-darwin*)
     if test -n "$_MACOSX_DEPLOYMENT_TARGET" ; then
         dnl Use the specified value
         export MACOSX_DEPLOYMENT_TARGET=$_MACOSX_DEPLOYMENT_TARGET
         AC_DEFINE_UNQUOTED(__ENVIRONMENT_MAC_OS_X_VERION_MIN_REQUIRED__,$_MACOSX_DEPLOYMENT_TARGET)
     elif test -z "$MACOSX_DEPLOYMENT_TARGET" ; then
         dnl No value specified on the command line or in the environment,
         dnl use architecture minimum.
-        case "${target_cpu}" in
-          x86_64)
-            export MACOSX_DEPLOYMENT_TARGET=10.5
-            ;;
-          *)
-            export MACOSX_DEPLOYMENT_TARGET=10.4
-            ;;
-        esac
+        export MACOSX_DEPLOYMENT_TARGET=10.5
     fi
     ;;
 esac
 
 AC_SUBST(MACOSX_DEPLOYMENT_TARGET)
 
 dnl ========================================================
 dnl = Mac OS X SDK support